summaryrefslogtreecommitdiff
path: root/source3/script/tests/t_001.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/t_001.sh')
-rw-r--r--source3/script/tests/t_001.sh22
1 files changed, 7 insertions, 15 deletions
diff --git a/source3/script/tests/t_001.sh b/source3/script/tests/t_001.sh
index 86837050c7..f9f530c974 100644
--- a/source3/script/tests/t_001.sh
+++ b/source3/script/tests/t_001.sh
@@ -4,27 +4,19 @@
cat >$CONFFILE<<EOF
[global]
- netbios name = LOCALHOST
- workgroup = $DOMAIN
-
- private dir = $PRIVATEDIR
- pid directory = $PIDDIR
- lock directory = $LOCKDIR
- log file = $LOGDIR/log.%m
-
- interfaces = lo
- bind interfaces only = yes
-
- panic action = $PREFIX_ABS/script/tests/gdb_backtrace /proc/%d/exe %d
+ include = $LIBDIR/common.conf
[test]
path = $TMPDIR
read only = no
EOF
+##
+## Test code
+##
+
+start_smbd || exit $?
-smbd $CONFIGURATION || exit $?
-sleep 1
smbclient $CONFIGURATION -L localhost -N -p 139
-killall smbd
+stop_smbd